{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:effects_changed",
      "conditions": {
        "player": {
          "nbt": "{Inventory:[{components:{\"minecraft:custom_data\":{critstar:\"tag\"}}}]}"
        }
      }
    }
  },
  "rewards": {
    "function": "survivalplus:tools/gethit/clearwither"
  }
}